Run eBay Product
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-ebay-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": "1234567890"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-ebay-product"
payload = { "product": "1234567890" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product: '1234567890'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-ebay-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "ebay_product",
"product": "28032667767",
"human": "# eBay catalog product\n\n- **Product:** 28032667767\n- **Proxy traffic:** 1.47 MB\n- **Brand:** Logitech\n- **Lowest price:** USD5.94\n- **Listings:** 59\n\nIt has 5 buttons, a scroll wheel, and is designed for right-handed users.",
"machine": {
"product": {
"id": "28032667767",
"url": "https://www.ebay.com/p/28032667767",
"title": "Logitech M705 Marathon (910-001935) Wireless Mouse",
"brand": "Logitech",
"model": "M705 Marathon",
"mpn": "910-001935",
"upc": "0097855068538",
"gtin13": null,
"image": null,
"images": [],
"rating": 4.72,
"review_count": 50,
"lowest_price": 5.94,
"highest_price": 69.99,
"currency": "USD",
"listing_count": 59,
"specs": {
"Brand": "Logitech",
"MPN": "910-001935",
"UPC": "0097855068538",
"Model": "M705 Marathon",
"eBay Product ID (ePID)": "28032667767",
"Color": "Black",
"Tracking Method": "Laser",
"Number of Buttons": "5",
"Connectivity": "Wireless, USB",
"Features": "Right-Handed only, Scroll Wheel",
"Type": "Mouse",
"Item Length": "1.6in.",
"Item Height": "2.6in.",
"Item Width": "4.2in.",
"Weight": "0.3lbs."
},
"breadcrumbs": [
"eBay",
"Electronics",
"Computers/Tablets & Networking"
],
"category": "Mice, Trackballs & Touchpads",
"description": "It has 5 buttons, a scroll wheel, and is designed for right-handed users."
},
"proxy_traffic_bytes": 1536321
},
"total_points": 5
}E-commerce & Marketplaces
Run eBay Product
Fetches eBay catalog product details by ePID or URL: brand, model, rating, price range, and specs. Flat 5 points per successful lookup.
POST
/
functions
/
v1
/
run-ebay-product
Run eBay Product
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
eBay catalog product ID (ePID) or product URL.
Response
Run completed.